<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwWiener: Wiener Driver Configuration Panel</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=utf-8">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwWienerDriverConfiguration.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">
      <p>This panel is used to create and delete devices to represent the Wiener
        OPC server used to connect to Wiener hardware.</p>
      <p>It is also possible to
          create the config files for the OPC servers based on the devices which
          are existing in your PVSS system.</p></td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2"><p>When the panel loads, the configuration for the default
          Wiener Marathon driver number (14) is shown. By selecting a different
          number from the &quot;Display configuration for driver number:&quot; combo
          box, it is possible to view the configuration for a different Wiener
          driver number.</p>
        <p>For each Wiener driver, it is possible to set a description and to
          create the XML file required for the OPC server.</p>
        <p>To create an XML config file, first make sure that the correct Wiener
          driver number has been selected. Then, in the &quot;OPC Config File&quot; section
          of the panel, choose the file name (and path if required) in which
          to save the configuration. Next,
          go
          to the
          table
          where there is a list of all
          the
          relevant devices
          in the
          current system. For the KVASER OPC server, these devices will be Wiener
          CAN buses. For the Marathon OPC server, these devices will be Wiener
          Marathon power supplies.</p>
        <p>For each device you can choose whether or not it should
          be included in the XML config file. This is done by click in the &quot;Declare
          in Driver X file&quot; column.
          The value will toggle between &quot;TRUE&quot; and &quot;FALSE&quot;
          each time you click in the cell. &quot;TRUE&quot; means that the device
          and all its children (channels etc.) will be included in the OPC server
          config file. When you have selected which devices to include, press
          the &quot;Create
          Config File&quot; button to create the config file.</p>
        <p>In addition, in the top right of the panel there is the &quot;Manage Drivers...&quot;
          button which can be used to create, delete and configure the devices
          that represent the Wiener OPC servers.</p>
        <p>NOTE: It is not required
            to have a Wiener Driver device in order to connect to the Wiener
          OPC server. It is only beneficial to help with the creation of the
          XML
          config
          file and allows for debugging by providing access to  OPC
          items available at the server level (e.g. cache words, up-time etc.).</p></td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2"><p>None</p>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table width="463" height="474" border="0" align="center">
  <tbody>
    <tr>
      <td>
        <div align="center"><img
 src="fwWienerDriverConfiguration.JPG" alt="Panel screenshot" width="587" height="541" style="width: 587px; height: 541px;"></div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td>None</td>
      <td><p><br>
        </p>
      </td>
      <td>&nbsp;</td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>
